Category Archives: Announcement

phpMyFAQ 2.8.3 Released!

The phpMyFAQ Team is pleased to announce phpMyFAQ 2.8.3, the “Jeremy Hammond” release. This releases fixes a serious permission vulnerability, all users of affected phpMyFAQ versions are encouraged to upgrade as soon as possible to this latest versions! A detailed security advisory is available.We also improved HTML / CSS code anf updated the Brazilian Portuguese, the Japanese, the Spanish and the Swedish translation. We also fixed a lot of minor issues.

phpMyFAQ 2.8.1 Released!

The phpMyFAQ Team is pleased to announce phpMyFAQ 2.8.1, the “Edward Snowden” release. We added minified CSS and JavaScript files and improved the usability for group administration. We fixed the broken update routine for MS SQL and SQLite. We also fixed IE8 related issues and our code is now HTML5 valid. The Arabic translation is now working and we corrected some minor bugs.

phpMyFAQ 2.8.0 Released!

The phpMyFAQ Team would like to announce the availability of phpMyFAQ 2.8.0, the “Maurice Wilkes” release. This major new release now requires PHP 5.3.3 or later and is licensed under the terms of the Mozilla Public License 2.0. The HTML5/CSS3 layout is based on Twitter Bootstrap 2.3.2 and we ship the new version with jQuery 1.9.1. We added multi site support, auto-save for FAQs during editing, an improved advanced search in subcategories, the possibility to close and delete open questions and to delete multiple open questions. We also added a user control panel, support for Composer, a configurable maintenance mode and user notifications for answered questions. With 2.8, it’s also possible to deactivate complete FAQ exports and to use random sorting of FAQs. We now support Gravatar and our admin backend adds a graphical user statistic report. We dropped support for IBM DB2, Interbase/Firebird and Sybase databases, we removed the support for PHP register_globals and magic_quotes_gpc and had to remove the Google Translate API v1.
phpMyFAQ 2.7 is now out of support, so please update your FAQs to 2.8 as soon as possible.

phpMyFAQ 2.8.0-RC4 Released!

The phpMyFAQ Team is pleased to announce the forth release candidate of the next major version of phpMyFAQ, phpMyFAQ 2.8.0-RC4, the “Albert Einstein” release. We updated the Symfony ClassLoader to 2.2.1 and the Portuguese translation. We fixed all reported bugs and improved some minor UX issues. Please don’t use this version in production systems, but test this version and please report bugs!

phpMyFAQ 2.8.0-RC3 Released!

The phpMyFAQ Team would like to announce the availability of the third release candidate of the next major version of phpMyFAQ, phpMyFAQ 2.8.0-RC3, the “Π Day” release. We improved English and German translations and some parts of the user interface. We also fixed various JavaScript and PHP issues reported by our community and we refactored a lot of code. Please don’t use this version in production systems, but test this version and please report bugs!

phpMyFAQ 2.8.0-RC2 Released!

The phpMyFAQ Team is pleased to announce the second release candidate of the next major version of phpMyFAQ, phpMyFAQ 2.8.0-RC2, the “Roger Needham” release. We removed the Delicious support, we updated Bootstrap to 2.3.1 and the Symfony ClassLoader to 2.2.0. We fixed all reported bugs and improved some minor UX issues. Please don’t use this version in production systems, but test this version and please report bugs!

phpMyFAQ 2.8.0-beta3 Released!

The phpMyFAQ Team is pleased to announce the third and last beta release of the next major version of phpMyFAQ, phpMyFAQ 2.8.0-beta3, the “Aaron Swartz” release. We added support for Gravatar and we added Font Awesome for better icons. As always, we fixed a lot of bugs and we refactored a lot of code. Please don’t use this version in production systems, but test this version and please report bugs!

phpMyFAQ 2.8.0-beta2 Released!

The phpMyFAQ Team would like to announce the availability of the second beta release of the next major version of phpMyFAQ, phpMyFAQ 2.8.0-beta2, the “Release Early, Release Often” release. This version fixes the broken setup and we removed the code of the now unsupported Google Translate API v1. As always, we fixed some bugs and we refactored code. Please don’t use this version in production systems, but test this version and please report bugs!

phpMyFAQ 2.8.0 Released!

The phpMyFAQ Team is pleased to announce the first beta release of the next major version of phpMyFAQ, phpMyFAQ 2.8.0-beta, the “Jesco von Puttkamer” release. We changed the PHP requirement to PHP 5.3.3, added the possibility to random sorting of FAQs and we added and improved an extended group permissions for FAQs and categories. We dropped the support for PHP register_globals and magic_quotes_gpc, we updated the bundled Bootstrap to version 2.2.2 and our classloader is now based on the Symfony ClassLoader. As always, we fixed a lot of bugs and we refactored a lot of code. Please don’t use this version in production systems, but test this version and please report bugs!

phpMyFAQ 2.8.0-alpha3 Released!

The phpMyFAQ Team would like to announce the availability of the third development release of the next major version of phpMyFAQ, phpMyFAQ 2.8.0-alpha3, the “Sarja” release. We added user notifications for answered questions, the possibility to deactivate the complete FAQ export and rewrote our documentation in Markdown with GitHub style HTML export. We improved usability of administration backend, the setup and update code were refactored, we improved attachment functionality and we minified the CSS code. Beside simplifying the link verification, we updated the bundled jQuery to version 1.8.2, Modernizr to version 2.6.2, Bootstrap to version 2.2.1 and TinyMCE to version 3.5.7. Our PHP dependency management is now using Composer and we already received an updated Czech translation. As always, we fixed a lot of bugs and we refactored a lot of code. Please don’t use this version in production systems, but test this version and please report bugs!

phpMyFAQ 2.8.0-alpha2 Released!

The phpMyFAQ Team would like to announce the availability of the second development release of the next major version of phpMyFAQ, phpMyFAQ 2.8.0-alpha2, the “Neil Armstrong” release. We changed PHP requirement to PHP 5.3.2 and licensed the complete code base under the terms of Mozilla Public License 2.0. We added multi site support, an auto-save functionality for FAQs during editing, the possibility to delete multiple open questions, support for Composer and a configurable maintenance mode. We also improved usability of administration backend. We updated bundled jQuery to version 1.8.0, the bundled Modernizr library to version 2.6.3 and our CSS code is based on Twitter Bootstrap 2.1.0. Please don’t use this version in production systems, but test this version and please report bugs!

phpMyFAQ 2.7.5 Released!

The phpMyFAQ Team would like to announce the availability of phpMyFAQ 2.7.5, the “Trayvon Martin” release. This releases fixes a serious remote PHP code execution vulnerability, all users of affected phpMyFAQ versions are encouraged to upgrade as soon as possible to this latest versions! A detailed security advisory is available. We also added full support for Microsoft SQL Server Driver for PHP, an online verification check and an experimental support for SQLite3. We updated the Spanish and fixed Slovak translation. We also fixed a lot of minor issues.

phpMyFAQ 2.8.0-alpha Released!

The phpMyFAQ Team is pleased to announce the first development release of the next major version of phpMyFAQ, phpMyFAQ 2.8.0-alpha, the “Gioachino Rossini” release. This development version adds a new and improved frontend and backend user interface based on Twitter Bootstrap, an improved advanced search in subcategories, the possibility to close and delete open questions and we included an user control panel. We dropped support for IBM DB2, Interbase/Firebird and Sybase databases. We improved usability of administration backend, the setup and update, the security with salted passwords and we eased the CSS development with using LESS. We updated the bundled jQuery to version 1.7.1, the bundled Modernizr library to version 2.5.2 and we added Twitter Bootstrap 2.0.1. This release is more a snapshot with some new features and many unfinished stuff. So please don’t use this version in production systems, but test this version and please report bugs!